/**
 * Copyright (c) 2006 Sascha Grau
 * contact: rostar@graui.de
 */

#ifndef QUEUE_H_
#define QUEUE_H_

#include "dllist.h"

/**
 * A queue 'interface' for the double linked list.
 */

template<class Entry> class Queue : public DLList<Entry> {

public:
    void enq(Entry e) { push_back(e); }
    Entry deq() { return this->pop_front(); }
};

#endif /* QUEUE_H_ */
